#pragma once
#include "CStaticWave\DataRecWave.h"
#include "afxwin.h"
#include "Data.h"
// CDialogDataRec 对话框

class CDialogDataRec : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogDataRec)

public:
	CDialogDataRec(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogDataRec();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
// 对话框数据
	enum { IDD = IDD_DIALOG_DATA_REC };

protected:
	CFont font;
	INT Get_Time();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	LRESULT OnMonitorStatus(WPARAM wPara, LPARAM lPara);
	DECLARE_MESSAGE_MAP()
public:
	struct SAVE_DATA m_stSAVE_DATA;
	CDataRecWave * m_pCDataRecWave;
	void Show_Result();
	afx_msg void OnBnClickedOk();
	CStatic m_CStaticName;
	CStatic m_CStaticTime;
	CStatic m_CStaticHR;
	CStatic m_CStaticST1;
	CStatic m_CStaticST2;
	CStatic m_CStaticRR;
	CStatic m_CStaticSpo2;
	CStatic m_CStaticPR;
	CStatic m_CStaticTemp;
	CStatic m_CStaticAirOxy;
	afx_msg void OnBnClickedButtonDataRecPre();
	afx_msg void OnBnClickedButton();
	afx_msg void OnBnClickedButtonDataRecChange();
	
};
